<!DOCTYPE html>
<html>
<head>
	<title>Bootstrap Flex</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
</head>
<body>
	<h1 class="text-center my-5">Bootsrap Flex</h1>
	<h3 class="text-center my-5">Flex Row</h3>
	<div class="bg-dark d-flex flex-row mb-4">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
		

	</div>
	<div class ="bg-dark d-flex flex-row mb-4">
	<span class="bg-primary p-2">Span Flex 1</span>
	<span class="bg-danger p-2">Span Flex 2</span>
	<span class="bg-success p-2">Span Flex 3</span>
	
	</div>
	<h3 class="text-center my-5">Flex Row Reverse</h3>
	<div class="d-flex flex-row-reverse mb-4 bg-dark">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>

	</div>
	<h3 class="text-center my-5">Flex Column</h3>
	<div class="d-flex flex-column mb-4 bg-dark p-4">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>

	</div>
	<div class ="bg-dark d-flex flex-column mb-4 p-4">
	<span class="bg-primary p-2" style="height:300px;width: 300px">Span Flex 1</span>
	<span class="bg-danger p-2">Span Flex 2</span>
	<span class="bg-success p-2">Span Flex 3</span>
	
	</div>
	<h3 class="text-center my-5">Flex Column Reverse</h3>
	<div class="d-flex flex-column-reverse mb-4 bg-dark p-4">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>

	</div>
	<h2 class="text-center my-5">Justify Content</h2>
	<h3 class="text-center my-5">Justify Content Start</h3>
	<div class="d-flex flex-row justify-content-start mb-4 p-4">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>

	</div>
	<div class="d-flex flex-row-reverse justify-content-start mb-4 p-4">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>

	</div>
	<h3 class="text-center my-5">Justify Content End</h3>
	<div class="d-flex flex-row justify-content-end mb-4 p-4">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>

	</div>
	<div class="d-flex flex-row-reverse justify-content-end mb-4 p-4">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>

	</div>
	<h3 class="text-center my-5">Justify Content Center</h3>
	<div class="d-flex flex-row justify-content-center mb-4 p-4">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
	</div>
	<div class="d-flex flex-row-reverse justify-content-center mb-4 p-4">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
	</div>
	<h3 class="text-center my-5">Justify Content Between </h3>
	<div class="d-flex flex-row justify-content-between bg-dark mb-4">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
		<div class="bg-info p-2">Flex Item 4</div>
		<div class="bg-warning p-2">Flex Item 5</div>
	</div>
	<div class="d-flex flex-row-reverse justify-content-between bg-dark mb-4">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
		<div class="bg-info p-2">Flex Item 4</div>
		<div class="bg-warning p-2">Flex Item 5</div>
	</div>
	<h3 class="text-center my-5">Justify Content Around</h3>
	<div class="bg-dark d-flex flex-row justify-content-around mb-4">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
	</div>
	<div class="bg-dark d-flex flex-row-reverse justify-content-around mb-4">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
	</div>
	<h2 class="text-center">Align Items Start</h2>
	<div class="bg-dark d-flex flex-row align-items-start bg-dark mb-4" style="height:50vh;">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
	</div>
	<div class="bg-dark d-flex flex-row-reverse align-items-start bg-dark mb-4" style="height:50vh;">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
	</div>
	<h2 class="text-center">Align Items End</h2>
	<div class="bg-dark d-flex flex-row align-items-end bg-dark mb-4" style="height:50vh;">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
	</div>
	<div class="bg-dark d-flex flex-row-reverse align-items-end bg-dark mb-4" style="height:50vh;">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
	</div>
	<h3 class="text-center my-5">Align Items Center</h3>
	<div class="d-flex flex-row align-items-center bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
	</div>
	<div class="d-flex flex-row-reverse align-items-center bg-dark mb-4" style="height: 50vh;">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
	</div>

	<h2 class="text-center">Aligning Items Horizontally and Vertically</h2>
	<div class="d-flex flex-row align-items-end justify-content-end bg-dark mb-4" style="height: 50vh">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
	</div>
	<div class="d-flex flex-row align-items-end justify-content-around bg-dark mb-4" style="height: 50vh">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
	</div>
	<div class="d-flex flex-row align-items-center justify-content-end bg-dark mb-4" style="height: 50vh">
		<div class="bg-primary p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-success p-2">Flex Item 3</div>
	</div>
<h3 class="text-center my-5">Flex Row</h3>
<div class="d-flex flex-row align-items-start justify-content-center bg-dark" style="height: 50vh;">
	<div class="bg-primary p-2">Flex Item 1</div>
	<div class="bg-danger p-2">Flex Item 2</div>
	<div class="bg-success p-2">Flex Item 3</div>
</div>
<!-- flex parent -->
<div class="d-flex flex-row align-items-center justify-content-between bg-dark mt-5" style="height: 50vh;">
 <!--flex parent  -->
	<div class="bg-primary p-2">Flex Item 1</div>
	<div class="bg-danger p-2">Flex Item 2</div>
	<div class="bg-success p-2">Flex Item 3</div>
</div>

<h2 class="text-center my-5">Flex Column with Align Items and Justify Content</h2>
<div class="d-flex flex-column align-items-center bg-dark mb-4" style="height: 50vh;">
	<div class="bg-primary p-2" style="width:30%">Flex Item 1</div>
	<div class="bg-danger p-2" style="width:30%">Flex Item 2</div>
	<div class="bg-success p-2" style="width:30%">Flex Item 3</div>
</div>
<div class="d-flex flex-column justify-content-center bg-dark mb-4" style="height: 50vh;">
	<div class="bg-primary p-2" style="width:20%">Flex Item 1</div>
	<div class="bg-danger p-2" style="width:20%">Flex Item 2</div>
	<div class="bg-success p-2" style="width:20%">Flex Item 3</div>
</div>

<h3 class="text-center my-5">Mini ACtivity with Flex Columns</h3>
<div class="d-flex flex-column justify-content-end bg-dark mb-4" style="height: 50vh;">
	<div class="bg-primary p-2" style="width:20%">Flex Item 1</div>
	<div class="bg-danger p-2" style="width:20%">Flex Item 2</div>
	<div class="bg-success p-2" style="width:20%">Flex Item 3</div>
</div>
<div class="d-flex flex-column align-items-end bg-dark mb-4" style="height: 50vh;">
	<div class="bg-primary p-2" style="width:20%">Flex Item 1</div>
	<div class="bg-danger p-2" style="width:20%">Flex Item 2</div>
	<div class="bg-success p-2" style="width:20%">Flex Item 3</div>
</div>
<h3 class="text-center my-5">Flex Columns with Justify Content Between and Around</h3>
<div class="d-flex flex-column justify-content-between bg-dark mb-4" style="height: 50vh;">
	<div class="bg-primary p-2" style="width:20%">Flex Item 1</div>
	<div class="bg-danger p-2" style="width:20%">Flex Item 2</div>
	<div class="bg-success p-2" style="width:20%">Flex Item 3</div>
</div>
<div class="d-flex flex-column justify-content-around bg-dark mb-4" style="height: 50vh;">
	<div class="bg-primary p-2" style="width:20%">Flex Item 1</div>
	<div class="bg-danger p-2" style="width:20%">Flex Item 2</div>
	<div class="bg-success p-2" style="width:20%">Flex Item 3</div>
</div>
<h3 class="text-center my-5">Flex Wrap</h3>
<div class="d-flex flex-row justify-content-around flex-wrap bg-dark mb-4">
	<div class="bg-primary p-2">Flex Item 1</div>
	<div class="bg-danger p-2">Flex Item 2</div>
	<div class="bg-success p-2">Flex Item 3</div>
	<div class="bg-primary p-2">Flex Item 1</div>
	<div class="bg-danger p-2">Flex Item 2</div>
	<div class="bg-success p-2">Flex Item 3</div>
	<div class="bg-primary p-2">Flex Item 1</div>
	<div class="bg-danger p-2">Flex Item 2</div>
	<div class="bg-success p-2">Flex Item 3</div>
	<div class="bg-primary p-2">Flex Item 1</div>
	<div class="bg-danger p-2">Flex Item 2</div>
	<div class="bg-success p-2">Flex Item 3</div>
	<div class="bg-primary p-2">Flex Item 1</div>
	<div class="bg-danger p-2">Flex Item 2</div>
	<div class="bg-success p-2">Flex Item 3</div>
	<div class="bg-primary p-2">Flex Item 1</div>
	<div class="bg-danger p-2">Flex Item 2</div>
	<div class="bg-success p-2">Flex Item 3</div>
	<div class="bg-primary p-2">Flex Item 1</div>
	<div class="bg-danger p-2">Flex Item 2</div>
	<div class="bg-success p-2">Flex Item 3</div>
	<div class="bg-primary p-2">Flex Item 1</div>
	<div class="bg-danger p-2">Flex Item 2</div>
	<div class="bg-success p-2">Flex Item 3</div>
	<div class="bg-primary p-2">Flex Item 1</div>
	<div class="bg-danger p-2">Flex Item 2</div>
	<div class="bg-success p-2">Flex Item 3</div>
	<div class="bg-primary p-2">Flex Item 1</div>
	<div class="bg-danger p-2">Flex Item 2</div>
	<div class="bg-success p-2">Flex Item 3</div>






</div>



<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>